Share this page

# Customize the runtime engine settings

The OpenText Functional Testing for Developers runtime engine is used for the Object Identification Center, the Application Model editor, for AI Object Inspection, and for running tests.

For details on customizing these settings when using a grid configuration, see Set up and configure a grid machine or Configure a grid node's runtime engine settings.

In this topic:

## Overview

You can configure runtime engine settings according to your needs. For example, you can decide which technology add-ins to load, change the default engine port, configure the connection to OpenText Functional Testing Lab, or configure AI-based testing settings.

Note: If you are running tests on remote computers, you must also set the relevant security connection settings. These are set in a configuration file as described in Set up the remote computer.

To customize the engine settings

1. Make sure the runtime engine is running. See Start/Stop the runtime engine.

2. Open the Settings dialog box in one of the following ways:

   - Right-click the runtime engine icon in the task bar and select Settings.

     Note: On Linux machines, if the icon is not available in the task bar, run the following command to open the dialog box: `<Installdir>/Tools/settings-leanft`

   - In your IDE, select Functional Testing for Developers > Engine and Object Identification Settings.

3. Modify the Engine settings as described below.

4. Modify the Object Identification settings as needed.

   See Customize how to identify objects.

5. Modify the Lab settings described below if you want to use OpenText Functional Testing Lab for your tests.

6. When you save your changes, the runtime engine automatically closes and restarts with your new settings loaded.

Back to top

## Engine settings

Configure the following settings in the Engine tab:

Add-ins

Load only the add-ins needed for the technologies in your application. Loading add-ins that you don't need can slow performance, or in some cases cause conflicts with object identification.

The add-ins you select affect the technologies supported in the Object Identification Center as well as for tests that you run on the computer.

Note: To recognize Oracle application objects, you must select both the Oracle Add-in and the Web Add-in.

Engine Connection

Configure the connection port and license settings for the runtime engine:

Setting | Description
--- | ---
Default port | Default = 5095. If another application is listening on port 5095, change this value to an available port. This change applies only to the runtime engine settings. If you change the value here, make sure your tests are also set to use that value. For details, see Modify the communication port number. To enable working in a multi-session environment such as a Windows server or a Citrix server, set up ports on each client. For details, see Configure ports for a multi-session environment.
Engine idle timeout | Default = 240 minutes. When the timeout expires, the license is released and the runtime engine closes. While the engine is running, it always consumes at least one license. To prevent the timeout expiration, clear the Engine idle timeout checkbox.
Max license consumption | Default = 1. The maximum number of concurrent licenses this runtime engine is allowed to consume. For details, see Parallel tests and license consumption.

Runtime Settings

Configure settings related to test runs:

Setting | Description
--- | ---
Object synchronization timeout. | Default = 20 seconds. This setting controls the maximum time (in seconds) that the runtime engine waits for an object to load before trying to run a step on it. When debugging tests, you may want to shorten this timeout.
Allow OpenText Functional Testing for Developers to run tests on a disconnected RDP computer | Select this checkbox if you are working on a remote desktop client and the RDP connection is disconnected. The runtime engine supplies the credentials required to keep the remote machine active. Enter your credentials and click Verify. The password you enter is stored in an encrypted format that is relevant only on the current computer.

Usage Data Collection

I want to help! Collect anonymous feature usage data. Configure whether or not to allow OpenText Functional Testing for Developers to send anonymous feedback to OpenText about your OpenText Functional Testing for Developers usage, as part of the product improvement program. The data you provide helps us understand which improvements matter most.

For details, see Help improve the product.

Back to top

## Lab settings

Configure the following settings in the Labs tab:

Lab Settings

Provide the credentials to connect to the lab server that provides mobile devices. This can be OpenText Functional Testing Lab or OpenText Core Software Delivery Platform.

Setting | Description
--- | ---
Functional Testing Lab option | Specify whether you are connecting to OpenText Functional Testing Lab or OpenText Core Software Delivery Platform. This selection affects the authentication options available below.
Server address | The IP address or host name of the lab server. Format example: server IP:port. By default, the port is 8080. Check the port settings defined on your lab server. If you are connecting to the server through SSL, the server address must start with https. For example: https://16.16.161.1691:8080.
Authentication type | Select whether to use Basic authentication (username & password) or Use access key as credentials when connecting to the lab. Select the authentication type required by your lab server. Note: If you are connecting to OpenText Core Software Delivery Platform, only access key authentication is available.
Access key | If you selected Use access key, enter the execution access key you received from the lab. Generate your access keys in the OpenText Functional Testing Lab, as described in the OpenText Functional Testing Lab Help Center. An execution access key is associated with a specific tenant, which limits your testing to devices and apps in a specific shared space within the lab.
User name and Password | If you selected Basic authentication, enter your credentials for logging into the lab server. In the User name, you can optionally specify a project, workspace, or both: If you belong to a specific project in OpenText Functional Testing Lab, enter your user name in the following way: username#projectID. For details on retrieving your project ID, see OpenText Functional Testing Lab multi-projects. If you want to limit your testing to devices and apps in a specific workspace, enter your user name in the following way: username#projectID/workspace or username/workspace. Specify `Public workspace` or the name of another workspace that you are assigned to. If you specify a workspace other than the public workspace, only the devices and apps in that workspace and in the Public workspace are available for recording, running, and device selection. For details on viewing the lab workspaces to which you have access, and the devices and apps assigned to them, see Workspaces in the lab's console. The Password is encrypted automatically when you save the settings.
Verify | Click to check the connection to the lab server. If you lab runs behind a proxy server, select Use proxy, and enter the information in Proxy Settings.
Do not validate certificate | By default, the connection employs Full SSL (Strict). However, you can select this option in order to ignore certificate errors.
Show remote access window when the test runs | Select to enable watching your test runs on the devices in the lab's remote access window. To improve test run performance, clear this option to run tests silently. You can still watch the steps being performed on the device itself if it is located near you. You can also add Device.OpenViewer/CloseViewer steps to open or close the remote access window during a run.

Proxy Settings

If the lab is running behind a proxy server, then you must configure the proxy settings:

Setting | Description
--- | ---
Address | The IP address and the port of the proxy server.
User name | Credentials for the proxy server.
Password | Credentials for the proxy server. The password is encrypted automatically when you save the settings.

Back to top

## AI Object Detection Settings

The AI Object Detection tab is available if you included the AI Object-Detection Service in the installation.

Configure the following settings in the AI Object Detection tab:

Setting | Description
--- | ---
Enable AI Object Detection | OpenText Functional Testing for Developers's AI Object Detection features are enabled by default. You can clear the Enable AI Object Detection setting to deactivate these features. Changes you make in this setting take effect only after you restart OpenText Functional Testing for Developers.
Enable caching for object identification | By default, a caching mechanism is used for AI object identification during test runs, to improve performance. You can clear this setting to deactivate the caching mechanism if you don’t find it useful in your case.

Scroll Settings

Setting | Description
--- | ---
Enable automatic scrolling | Select this setting to enable automatic scrolling. When running a test, if an object is not displayed in the application but the web page or mobile app is scrollable, the test automatically scrolls further in search of the object. Default: Selected. You can customize the direction and extent of the scrolling, using the settings below.
Direction | The direction in which to scroll. Default: Down.
Max scrolls | The maximum number of pages or screens to scroll. Default: 2.

Tip: You can temporarily override these global settings in a test run, by adding AI run settings steps to your test. For details, see the AIRunSettings Class in the Java and JavaScript SDK references.

AI Text Recognition Settings

OCR is used when identifying text in the application, when using text to identify a specific object, and when retrieving text from the application.

Note: AI Text Recognition does not use the ABBYY OCR engine.

Define the list of languages to identify. Add languages to the list or remove them, and drag items up or down in the list to specify priority.

Supported languages: Afrikaans, Arabic, Basque, Bulgarian, Catalan, Chinese, Traditional Chinese, Croatian, Czech, Danish, Deutsch, Dutch, English, Esperanto, Estonian, Finnish, French, Greek, Hebrew, Hungarian, Icelandic, Italian, Irish, Japanese, Korean, Latin, Latvian, Lithuanian, Macedonian, Maltese, Norwegian, Polish, Portuguese, Romanian, Russian, Serbian, Slovenian, Slovak, Spanish, Swedish, Turkish, Ukrainian, Welsh

Tip: You can temporarily override these global settings in a test run, by adding AI run settings steps to your test. For details, see the AIRunSettings in the Java and JavaScript SDK references.

Back to top

See also:

- Connect to the mobile device lab
- Customize test settings
- Improve AI-based test object identification

https://admhelp.microfocus.com Functional Testing for Developers 8942
Tips to improve your search results... OpenText™ Functional Testing for Developers Help Center OpenText™ Functional Testing for Developers Help 25.2 All View Local Help Center View Online Help Center Version: